Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Has anybody installed ubuntu-restricted-extras yet? (You need this for example to encode mp3). When I try to install that, it wants to remove the following packages:

# aptitude install ubuntu-restricted-extras 
The following NEW packages will be installed:
  gstreamer0.10-plugins-bad-multiverse libavcodec-extra-53{b} 
  libavutil-extra-51{ab} libfaac0{a} libmjpegtools-1.9{a} libquicktime2{a} 
  ubuntu-restricted-extras unrar 
0 packages upgraded, 8 newly installed, 0 to remove and 0 not upgraded.
Need to get 3,811 kB of archives. After unpacking 9,558 kB will be used.
The following packages have unmet dependencies:
 libavutil-extra-51 : Conflicts: libavutil51 but 4:0.8.1-0ubuntu1 is installed.
 libavcodec-extra-53 : Conflicts: libavcodec53 but 4:0.8.1-0ubuntu1 is installed.
open: 107; closed: 1554; defer: 43; conflict: 121                              oThe following actions will resolve these dependencies:

       Remove the following packages:                                          
1)       bluez-alsa:i386                                                       
2)       glib-networking:i386                                                  
3)       googleearth                                                           
4)       gstreamer0.10-fluendo-mp3:i386                                        
5)       gstreamer0.10-plugins-base:i386                                       
6)       gstreamer0.10-plugins-good:i386                                       
7)       gstreamer0.10-x:i386                                                  
8)       gtk2-engines:i386                                                     
9)       gtk2-engines-murrine:i386                                             
10)      gtk2-engines-oxygen:i386                                              
11)      gtk2-engines-pixbuf:i386                                              
12)      gvfs:i386                                                             
13)      gvfs-libs:i386                                                        
14)      ia32-libs                                                             
15)      ia32-libs-multiarch:i386                                              
16)      ibus-gtk:i386                                                         
17)      libaa1:i386                                                           
18)      libacl1:i386                                                          
19)      libao4:i386                                                           
20)      libasn1-8-heimdal:i386                                                
21)      libasound2:i386                                                       
22)      libasound2-plugins:i386                                               
23)      libasyncns0:i386                                                      
24)      libatk1.0-0:i386                                                      
25)      libattr1:i386                                                         
26)      libaudio2:i386                                                        
27)      libaudiofile1:i386                                                    
28)      libavahi-client3:i386                                                 
29)      libavahi-common3:i386                                                 
30)      libavc1394-0:i386                                                     
31)      libavcodec53                                                          
32)      libavutil51                                                           
33)      libbz2-1.0:i386                                                       
34)      libc6:i386                                                            
35)      libcaca0:i386                                                         
36)      libcairo-gobject2:i386                                                
37)      libcairo2:i386                                                        
38)      libcanberra-gtk-module:i386                                           
39)      libcanberra-gtk0:i386                                                 
40)      libcanberra0:i386                                                     
41)      libcap2:i386                                                          
42)      libcapi20-3:i386                                                      
43)      libcdparanoia0:i386                                                   
44)      libcomerr2:i386                                                       
45)      libcroco3:i386                                                        
46)      libcups2:i386                                                         
47)      libcupsimage2:i386                                                    
48)      libcurl3:i386                                                         
49)      libdatrie1:i386                                                       
50)      libdb5.1:i386                                                         
51)      libdbus-1-3:i386                                                      
52)      libdbus-glib-1-2:i386                                                 
53)      libdrm-intel1:i386                                                    
54)      libdrm-nouveau1a:i386                                                 
55)      libdrm-radeon1:i386                                                   
56)      libdrm2:i386                                                          
57)      libdv4:i386                                                           
58)      libelf1:i386                                                          
59)      libesd0:i386                                                          
60)      libexif12:i386                                                        
61)      libexpat1:i386                                                        
62)      libffi6:i386                                                          
63)      libflac8:i386                                                         
64)      libfontconfig1:i386                                                   
65)      libfreetype6:i386                                                     
66)      libgail-common:i386                                                   
67)      libgail18:i386                                                        
68)      libgcc1:i386                                                          
69)      libgconf-2-4:i386                                                     
70)      libgcrypt11:i386                                                      
71)      libgd2-xpm:i386                                                       
72)      libgdbm3:i386                                                         
73)      libgdk-pixbuf2.0-0:i386                                               
74)      libgettextpo0:i386                                                    
75)      libgl1-mesa-dri:i386                                                  
76)      libgl1-mesa-glx:i386                                                  
77)      libglapi-mesa:i386                                                    
78)      libglib2.0-0:i386                                                     
79)      libglu1-mesa:i386                                                     
80)      libgnome-keyring0:i386                                                
81)      libgnutls26:i386                                                      
82)      libgomp1:i386                                                         
83)      libgpg-error0:i386                                                    
84)      libgphoto2-2:i386                                                     
85)      libgphoto2-port0:i386                                                 
86)      libgpm2:i386                                                          
87)      libgssapi-krb5-2:i386                                                 
88)      libgssapi3-heimdal:i386                                               
89)      libgstreamer-plugins-base0.10-0:i386                                  
90)      libgstreamer0.10-0:i386                                               
91)      libgtk2.0-0:i386                                                      
92)      libgudev-1.0-0:i386                                                   
93)      libhcrypto4-heimdal:i386                                              
94)      libheimbase1-heimdal:i386                                             
95)      libheimntlm0-heimdal:i386                                             
96)      libhx509-5-heimdal:i386                                               
97)      libibus-1.0-0:i386                                                    
98)      libice6:i386                                                          
99)      libidn11:i386                                                         
100)     libiec61883-0:i386                                                    
101)     libieee1284-3:i386                                                    
102)     libjack-jackd2-0:i386                                                 
103)     libjasper1:i386                                                       
104)     libjpeg-turbo8:i386                                                   
105)     libjpeg8:i386                                                         
106)     libjson0:i386                                                         
107)     libk5crypto3:i386                                                     
108)     libkeyutils1:i386                                                     
109)     libkrb5-26-heimdal:i386                                               
110)     libkrb5-3:i386                                                        
111)     libkrb5support0:i386                                                  
112)     liblcms1:i386                                                         
113)     libldap-2.4-2:i386                                                    
114)     libllvm3.0:i386                                                       
115)     libltdl7:i386                                                         
116)     libmad0:i386                                                          
117)     libmikmod2:i386                                                       
118)     libmng1:i386                                                          
119)     libmpg123-0:i386                                                      
120)     libmysqlclient18:i386                                                 
121)     libncurses5:i386                                                      
122)     libncursesw5:i386                                                     
123)     libnspr4:i386                                                         
124)     libnss3:i386                                                          
125)     libodbc1:i386                                                         
126)     libogg0:i386                                                          
127)     liboil0.3:i386                                                        
128)     libopenal1:i386                                                       
129)     liborc-0.4-0:i386                                                     
130)     libp11-kit0:i386                                                      
131)     libpango1.0-0:i386                                                    
132)     libpciaccess0:i386                                                    
133)     libpcre3:i386                                                         
134)     libpixman-1-0:i386                                                    
135)     libpng12-0:i386                                                       
136)     libproxy1:i386                                                        
137)     libpulse-mainloop-glib0:i386                                          
138)     libpulse0:i386                                                        
139)     libpulsedsp:i386                                                      
140)     libqt4-dbus:i386                                                      
141)     libqt4-declarative:i386                                               
142)     libqt4-designer:i386                                                  
143)     libqt4-network:i386                                                   
144)     libqt4-opengl:i386                                                    
145)     libqt4-qt3support:i386                                                
146)     libqt4-script:i386                                                    
147)     libqt4-scripttools:i386                                               
148)     libqt4-sql:i386                                                       
149)     libqt4-sql-mysql:i386                                                 
150)     libqt4-svg:i386                                                       
151)     libqt4-test:i386                                                      
152)     libqt4-xml:i386                                                       
153)     libqt4-xmlpatterns:i386                                               
154)     libqtcore4:i386                                                       
155)     libqtgui4:i386                                                        
156)     libqtwebkit4:i386                                                     
157)     libraw1394-11:i386                                                    
158)     libroken18-heimdal:i386                                               
159)     librsvg2-2:i386                                                       
160)     librsvg2-common:i386                                                  
161)     librtmp0:i386                                                         
162)     libsamplerate0:i386                                                   
163)     libsane:i386                                                          
164)     libsasl2-2:i386                                                       
165)     libsasl2-modules:i386                                                 
166)     libsdl-image1.2:i386                                                  
167)     libsdl-mixer1.2:i386                                                  
168)     libsdl-net1.2:i386                                                    
169)     libsdl-ttf2.0-0:i386                                                  
170)     libsdl1.2debian:i386                                                  
171)     libselinux1:i386                                                      
172)     libshout3:i386                                                        
173)     libslang2:i386                                                        
174)     libsm6:i386                                                           
175)     libsndfile1:i386                                                      
176)     libsoup-gnome2.4-1:i386                                               
177)     libsoup2.4-1:i386                                                     
178)     libspeex1:i386                                                        
179)     libspeexdsp1:i386                                                     
180)     libsqlite3-0:i386                                                     
181)     libssl0.9.8:i386                                                      
182)     libssl1.0.0:i386                                                      
183)     libstdc++5:i386                                                       
184)     libstdc++6:i386                                                       
185)     libtag1-vanilla:i386                                                  
186)     libtag1c2a:i386                                                       
187)     libtasn1-3:i386                                                       
188)     libtdb1:i386                                                          
189)     libthai0:i386                                                         
190)     libtheora0:i386                                                       
191)     libtiff4:i386                                                         
192)     libtinfo5:i386                                                        
193)     libudev0:i386                                                         
194)     libunistring0:i386                                                    
195)     libusb-0.1-4:i386                                                     
196)     libuuid1:i386                                                         
197)     libv4l-0:i386                                                         
198)     libv4lconvert0:i386                                                   
199)     libvisual-0.4-0:i386                                                  
200)     libvisual-0.4-plugins:i386                                            
201)     libvorbis0a:i386                                                      
202)     libvorbisenc2:i386                                                    
203)     libvorbisfile3:i386                                                   
204)     libwavpack1:i386                                                      
205)     libwind0-heimdal:i386                                                 
206)     libwrap0:i386                                                         
207)     libx11-6:i386                                                         
208)     libx11-xcb1:i386                                                      
209)     libxau6:i386                                                          
210)     libxaw7:i386                                                          
211)     libxcb-glx0:i386                                                      
212)     libxcb-render0:i386                                                   
213)     libxcb-shm0:i386                                                      
214)     libxcb1:i386                                                          
215)     libxcomposite1:i386                                                   
216)     libxcursor1:i386                                                      
217)     libxdamage1:i386                                                      
218)     libxdmcp6:i386                                                        
219)     libxext6:i386                                                         
220)     libxfixes3:i386                                                       
221)     libxft2:i386                                                          
222)     libxi6:i386                                                           
223)     libxinerama1:i386                                                     
224)     libxml2:i386                                                          
225)     libxmu6:i386                                                          
226)     libxp6:i386                                                           
227)     libxpm4:i386                                                          
228)     libxrandr2:i386                                                       
229)     libxrender1:i386                                                      
230)     libxslt1.1:i386                                                       
231)     libxss1:i386                                                          
232)     libxt6:i386                                                           
233)     libxtst6:i386                                                         
234)     libxv1:i386                                                           
235)     libxxf86vm1:i386                                                      
236)     odbcinst1debian2:i386                                                 
237)     xaw3dg:i386                                                           
238)     zlib1g:i386                                                           

       Leave the following dependencies unresolved:                            
239)     libcanberra-gtk0:i386 recommends libcanberra-gtk-module:i386          
240)     libgphoto2-2:i386 recommends udev:i386 (>= 0.175)                     
241)     libgphoto2-2:i386 recommends libgphoto2-l10n:i386 (>= 2.4.13-1ubuntu1)
242)     libncurses5:i386 recommends libgpm2:i386                              
243)     libncursesw5:i386 recommends libgpm2:i386                             
244)     libslang2:i386 recommends libpng12-0:i386                             
245)     libvisual-0.4-0:i386 recommends libvisual-0.4-plugins:i386            
246)     libqt4-dbus:i386 recommends qdbus:i386 (= 4:4.8.1-0ubuntu4.1)         
247)     libqtgui4:i386 recommends libcups2:i386   

Some of these packages don't look so unimportant, so I have some doubts to accept this solution. Has anybody installed this packages so far and didn't get any problems?

share|improve this question
    
Try "sudo apt-get install -f" and see what it says. –  harisibrahimkv May 5 '12 at 16:11
    
Sorry, forgot to say, I'm using 12.04. But the solution with apt-get already worked for me. –  Bevor May 5 '12 at 17:00

2 Answers 2

up vote 2 down vote accepted

It seems very very wrong to me.

sudo apt-get install ubuntu-restricted-extras

shows me ...

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  gstreamer0.10-plugins-bad-multiverse libavcodec-extra-53 libavutil-extra-51
  libfaac0 libmjpegtools-1.9 libopenjpeg2 libquicktime2
Suggested packages:
  libfaad0
The following packages will be REMOVED:
  libavcodec53 libavutil51
The following NEW packages will be installed:
  gstreamer0.10-plugins-bad-multiverse libavcodec-extra-53 libavutil-extra-51
  libfaac0 libmjpegtools-1.9 libopenjpeg2 libquicktime2
  ubuntu-restricted-extras
0 upgraded, 8 newly installed, 2 to remove and 0 not upgraded.
Need to get 6,733 kB of archives.
After this operation, 2,217 kB of additional disk space will be used.
Do you want to continue [Y/n]? 

This looks more like a correct amount of packages.

This is the part you need to fix first:

 The following packages have unmet dependencies:
 libavutil-extra-51 : Conflicts: libavutil51 but 4:0.8.1-0ubuntu1 is installed.
 libavcodec-extra-53 : Conflicts: libavcodec53 but 4:0.8.1-0ubuntu1 is installed.

and those packages will disappear from the list.

share|improve this answer
    
You are right. Strange, I've never had differences with aptitude and apt. But I will keep it in mind for next time. Anyway, hav done it with apt-get now and it seems to work. –  Bevor May 5 '12 at 16:58
    
Aptitude is not made for multiarch ;) –  Takkat May 5 '12 at 17:11
    
yes, did not think about that @takkat :D good call –  Rinzwind May 5 '12 at 17:35

Would like to add that you can consider pressing n when asking for the solution and other possible solutions will be shown. Sometimes the best option is not the first one. I even find convenient the way aptitude shows the suggestions. You can press ? to see all possible commands, like:

n: reject the proposed changes and search for another solution
.: move to the next solution
,: move to the previous solution
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.